Bug 195899 - Bug in PAM handling in x11/kde4-workspace
Summary: Bug in PAM handling in x11/kde4-workspace
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alonso Schaich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-11 21:14 UTC by arnov
Modified: 2015-04-09 19:28 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description arnov 2014-12-11 21:14:40 UTC
When using pam_krb5 with kdm4 I found a problem with tickets. An exact description and a possible solution can be found here: https://forums.freebsd.org/threads/problem-with-kdm4-kerberos-and-nfsv4.49253/
Comment 1 Bugzilla Automation freebsd_committer 2014-12-11 21:14:40 UTC
Auto-assigned to maintainer kde@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2015-03-30 20:25:24 UTC
A commit references this bug:

Author: alonso
Date: Mon Mar 30 20:24:44 UTC 2015
New revision: 382722
URL: https://svnweb.freebsd.org/changeset/ports/382722

Log:
  Obtain a credential on login with KDM4

  PAM_SETCRED(3)'s second parameter does not default to PAM_ESTABLISH_CRED on
  FreeBSD, so explify it, as was proposed on the forums[1] back in decembre.

  Bump port revision as this commit changes the runtime behavior of the
  installed port.

  [1] https://forums.freebsd.org/threads/problem-with-kdm4-kerberos-and-nfsv4.49253

  PR:		195899
  Approved by:	rakuco (mentor)
  MFH:		2015Q1

Changes:
  head/x11/kde4-workspace/Makefile
  head/x11/kde4-workspace/files/patch-kdm__backend__client.c
Comment 3 commit-hook freebsd_committer 2015-04-09 19:28:12 UTC
A commit references this bug:

Author: alonso
Date: Thu Apr  9 19:27:32 UTC 2015
New revision: 383668
URL: https://svnweb.freebsd.org/changeset/ports/383668

Log:
  MFH: r382722

  Obtain a credential on login with KDM4

  PAM_SETCRED(3)'s second parameter does not default to PAM_ESTABLISH_CRED on
  FreeBSD, so explify it, as was proposed on the forums[1] back in decembre.

  Bump port revision as this commit changes the runtime behavior of the
  installed port.

  [1] https://forums.freebsd.org/threads/problem-with-kdm4-kerberos-and-nfsv4.49253

  PR:		195899
  Approved by:	rakuco (mentor)
  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2015Q1/
  branches/2015Q1/x11/kde4-workspace/Makefile
  branches/2015Q1/x11/kde4-workspace/files/patch-kdm__backend__client.c